package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumMerchantSubsidySource {

    SUBSIDY(0, "补贴"),
    CARD(1, "卡消费"),
    COUPON(2, "券核销"),
    PRESS(3, "砍价核销"),
    GROUP(4, "拼团核销"),
    CASHIER(5, "收银台"),;

    public static EnumMerchantSubsidySource getEnum(Integer code) {
        for (EnumMerchantSubsidySource value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMerchantSubsidySource(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
